import { http } from "./httpClient";
import {AppointmentMemoInfo, createdMemoInfo} from "~/shared/models/appointment.model";
class UtilsService {

  isMobileDevice(): boolean {
    const mobileDevices = ['Android', 'webOS', 'iPhone', 'iPad', 'iPod', 'BlackBerry', 'Windows Phone'];
    return mobileDevices.some(e => navigator.userAgent.match(e));
  }

  insertAccessFrom(from: AccessFroms): void {
    http.post('/access_analysis/insert', from);
  }

}

export default new UtilsService();

export enum AccessFroms {
  FILM_1 = 'FILM_1',
  FILM_2 = 'FILM_2',
}
